QGIS Application - Bug report #8448
Avoid intersection fails with different CRS
2013-08-11 01:01 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17217
Description

Trying to digitize with two - or more - layers. Snapping and Avoid intersection doesn’t work if there is different CRS.

History

#1 - 2013-08-11 01:42 PM - Giovanni Manghi
- Operating System deleted (Windows and MAC)
- Status changed from Open to Feedback

Hi Lene, | tested on both Windows and Linux and | confirm that avoid intersection does not work of layers have different CRS (and for my surprise it is not a

regression since qgis 1.8, | would have said that it was), but snapping works ok.

Can you share a sample project/data?

#2 - 2013-08-11 04:34 PM - Giovanni Manghi
- Subject changed from Snapping and avoid intersection fails with different CRS to Avoid intersection fails with different CRS

| have tested also 1.7.4 and 1.7.0 and it worked as already described, so | guess is unlikely a regression. So I'm not even sure if it is a bug, probably this

would be better tagged as feature request?

#3 - 2014-06-22 12:28 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

seems anyway that in current master it all works as expected.
